## org.apache.cassandra.cli
Class CliCompiler

    java.lang.Object
      org.apache.cassandra.cli.CliCompiler

    public class CliCompiler

extends java.lang.Object

Nested Class Summary
`static class` `CliCompiler.ANTLRNoCaseStringStream`

Constructor Summary
`CliCompiler()`

Method Summary
`static org.antlr.runtime.tree.CommonTree` `compileQuery(java.lang.String query)`
`static java.lang.String` `getColumn(org.antlr.runtime.tree.CommonTree astNode, int pos)`
`static java.lang.String` `getColumnFamily(org.antlr.runtime.tree.CommonTree astNode)`
`static java.lang.String` `getKey(org.antlr.runtime.tree.CommonTree astNode)`
`static java.lang.String` `getTableName(org.antlr.runtime.tree.CommonTree astNode)`
`static int` `numColumnSpecifiers(org.antlr.runtime.tree.CommonTree astNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CliCompiler

    public CliCompiler()

Method Detail

### compileQuery

    public static org.antlr.runtime.tree.CommonTree compileQuery(java.lang.String query)

### getTableName

    public static java.lang.String getTableName(org.antlr.runtime.tree.CommonTree astNode)

### getColumnFamily

    public static java.lang.String getColumnFamily(org.antlr.runtime.tree.CommonTree astNode)

### getKey

    public static java.lang.String getKey(org.antlr.runtime.tree.CommonTree astNode)

### numColumnSpecifiers

    public static int numColumnSpecifiers(org.antlr.runtime.tree.CommonTree astNode)

### getColumn

    public static java.lang.String getColumn(org.antlr.runtime.tree.CommonTree astNode,
                                             int pos)

Copyright © 2010 The Apache Software Foundation